ApiBundles
Get bundle
Get a bundle by ID with all its tools and their override configurations.
Path Parameters
bundle_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"tool_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"bundle_key": "string",
"tools": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tool_id": "6c5cc6aa-c017-4456-ab57-583572511a6c",
"override_name": "string",
"override_description": "string",
"enabled": true,
"display_order": 0,
"has_override_embedding": false,
"original_name": "string",
"original_description": "string",
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"server_name": "string",
"input_schema": {},
"effective_name": "string",
"effective_description": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}